> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List File Thumbnails

> Get all thumbnails for a file



## OpenAPI

````yaml GET /files/{file_id}/thumbnails
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.8
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /files/{file_id}/thumbnails:
    get:
      tags:
        - Files
        - Thumbnails
      summary: Get thumbnails for a file
      description: Get all thumbnails for a file
      operationId: getThumbnails
      parameters:
        - name: file_id
          in: path
          required: true
          description: The ID of the file
          schema:
            type: string
            format: uuid
        - name: is_default
          in: query
          description: >-
            Filter thumbnails by default status. If true, will only return the
            default thumbnail for the file
          required: false
          schema:
            type: boolean
        - name: segmentation_id
          in: query
          description: Filter thumbnails by segmentation ID
          required: false
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          description: Number of thumbnails to return
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
        - name: offset
          in: query
          description: Offset from the start of the list
          required: false
          schema:
            type: integer
            minimum: 0
        - name: type
          in: query
          description: Filter thumbnails by type
          required: false
          schema:
            $ref: '#/components/schemas/ThumbnailType'
      responses:
        '200':
          description: List of thumbnails
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThumbnailList'
        '404':
          description: File not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ThumbnailType:
      type: string
      description: >-
        The type of the thumbnail: 'segment' for segment thumbnails, 'keyframe'
        for keyframes, 'file' for file thumbnails, 'frame' for frame thumbnails.
        Comma separated string of one or more types.
    ThumbnailList:
      type: object
      required:
        - object
        - total
        - limit
        - offset
        - data
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        total:
          type: integer
          description: Total number of segmentations matching the query
        limit:
          type: integer
          description: Number of items returned in this response
        offset:
          type: integer
          description: Offset from the start of the list
        data:
          type: array
          items:
            $ref: '#/components/schemas/Thumbnail'
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Thumbnail:
      type: object
      required:
        - id
        - url
        - time
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the thumbnail
        url:
          type: string
          description: The URL of the thumbnail
        time:
          type: number
          description: >-
            The time of the thumbnail in seconds relative to the start of the
            video
        segmentation_id:
          type: string
          format: uuid
          description: The ID of the segmentation if part of a segmentation job
        type:
          $ref: '#/components/schemas/ThumbnailType'
        segment_id:
          type: string
          format: uuid
          description: The ID of the segment if part of a segmentation job
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````